[FFe] Sync xserver-xorg-input-joystick 1:1.5.0-2 (universe) from Debian testing (main)

Bug #538376 reported by Artur Rona on 2010-03-13
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-joystick (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-joystick

Explanation of the Ubuntu delta and why it can be dropped:
1.5.0 uses udev to load the driver so no .fdi files are necessary.

Explanation why this is necessary for lucid? Because xserver-xorg-input-joystick currently is broken and 1.5.0 version is needed for rebuild with xserver 1.7.

Features change since 1.4.1:

* Key configuration semantic changed:
Instead of supplying a KeySym, users need to configure scancodes, according to
the selected keyboard layout (defaults to evdev, us). See man page for
examples.
* Property support for configured scancodes
http://<email address hidden>/msg00966.html

Artur Rona (ari-tczew) wrote :
Artur Rona (ari-tczew) on 2010-03-14
summary: - [FFe] Merge xserver-xorg-input-joystick 1:1.5.0-2 (universe) from Debian
+ [FFe] Sync xserver-xorg-input-joystick 1:1.5.0-2 (universe) from Debian
testing (main)
description: updated
description: updated
Bryce Harrington (bryce) on 2010-03-18
tags: added: lucid
Timo Aaltonen (tjaalton) wrote :

needed for udev hotplugging.

Changed in xserver-xorg-input-joystick (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Steve Langasek (vorlon) wrote :

This is a process bug, please leave this bug as 'New' until it's been acked by the release team.

Changed in xserver-xorg-input-joystick (Ubuntu):
status: Confirmed → New
Timo Aaltonen (tjaalton) wrote :

ok then, normally these have been acked by the x-swat team.

Artur Rona (ari-tczew) on 2010-03-21
description: updated
description: updated
Martin Pitt (pitti) wrote :

Approved. The old .fdi files won't work any more.

Changed in xserver-xorg-input-joystick (Ubuntu):
status: New → Confirmed
James Westby (james-w) wrote :

[Updating] xserver-xorg-input-joystick (1:1.4.0-0ubuntu1 [Ubuntu] < 1:1.5.0-2 [Debian])
 * Trying to add xserver-xorg-input-joystick...
2010-03-22 18:39:43 INFO - <xserver-xorg-input-joystick_1.5.0-2.dsc: downloading from http://ftp.debian.org/debian/>
2010-03-22 18:39:43 INFO - <xserver-xorg-input-joystick_1.5.0.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-03-22 18:39:43 INFO - <xserver-xorg-input-joystick_1.5.0-2.diff.gz: downloading from http://ftp.debian.org/debian/>
I: xserver-xorg-input-joystick [universe] -> xserver-xorg-input-joystick_1:1.4.0-0ubuntu1 [universe].

Changed in xserver-xorg-input-joystick (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments